%%%-------------------------------------------------------------------
%%% @doc     刮刮卡头文件
%%% Module  : scratch_card.hrl
%%% Created : 2020-10-13
%%% @author :tyl
%%%-------------------------------------------------------------------

-define(SCRATCH_CARD_SCORE, 1).         %% 每次刮卡获得积分
-define(SCRATCH_CARD_EXTRA_SCORE, 5).   %% 每8次刮卡额外获得积分
-define(SCRATCH_MILL_STONE,  8).        %% 刮卡小里程(获得额外积分)

-define(FIX_SCRATCH,  1).       %% 刮取固定位置
-define(RAND_SCRATCH, 2).       %% 刮取随机位置
-define(ALL_SCRATCH,  3).       %% 全部刮取
-define(SCRATCH_OPTIONS, [1,2,3]).

%% 所有刮卡位置
-define(SCRATCH_ALL_POS, [1,2,3,4,5,6,7,8]).

%% 所有抽奖位
-define(ALL_DRAW_POS, 9).

%% 进程字典存储刮奖大奖传闻 [{pos,tv_list}...]
-define(SCRATCH_TV_LIST, scratch_tv).

-record(scratch_card_data, {
	card_list  = []         %% 已刮的卡[{pos,grade_id}...]
	,draw_list = []         %% 已抽的奖励顺位
	,score     = 0          %% 当前拥有积分
	,small_pos = 0          %% 抽奖库最小位置(对应奖励档位)
	,draw_times= 0          %% 抽奖次数
}).


